###################################################
### chunk number 1: setup
###################################################
#line 19 "H:/SeattleIntro2010/inst/doc/DNAStringsAndRanges-lab.Rnw"
options(width = 60)


###################################################
### chunk number 2: importance-of-preprocessing-setup
###################################################
#line 559 "H:/SeattleIntro2010/inst/doc/DNAStringsAndRanges-lab.Rnw"
library(SeattleIntro2010)
library(Biostrings)
filepath <- system.file("extdata", "SRR002051.reads1-50k.fastq", package="SeattleIntro2010")
reads <- read.DNAStringSet(filepath, format="fastq")
cleanreads <- reads[alphabetFrequency(reads, baseOnly=TRUE)[ , "other"] == 0L]
library(BSgenome.Scerevisiae.UCSC.sacCer2)


###################################################
### chunk number 3: importance-of-preprocessing
###################################################
#line 568 "H:/SeattleIntro2010/inst/doc/DNAStringsAndRanges-lab.Rnw"
system.time(nhits <- countPDict(cleanreads, Scerevisiae$chrI))
system.time(nhits2 <- countPDict(PDict(cleanreads), Scerevisiae$chrI))
identical(nhits, nhits2)
table(nhits)


###################################################
### chunk number 4: sessionInfo
###################################################
#line 655 "H:/SeattleIntro2010/inst/doc/DNAStringsAndRanges-lab.Rnw"
toLatex(sessionInfo())


